public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/
@ 2021-11-27  6:39 Akinori Hattori
  0 siblings, 0 replies; 6+ messages in thread
From: Akinori Hattori @ 2021-11-27  6:39 UTC (permalink / raw
  To: gentoo-commits

commit:     62be5bffdc69157a8838a5699b09629fb465703b
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 27 06:34:46 2021 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Sat Nov 27 06:39:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62be5bff

dev-scheme/stklos: fix installation paths

Closes: https://bugs.gentoo.org/803914
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-scheme/stklos/files/stklos-1.10-gentoo.patch | 40 ++++++++++++++++++++++++
 dev-scheme/stklos/stklos-1.10-r2.ebuild          |  4 +++
 2 files changed, 44 insertions(+)

diff --git a/dev-scheme/stklos/files/stklos-1.10-gentoo.patch b/dev-scheme/stklos/files/stklos-1.10-gentoo.patch
new file mode 100644
index 000000000000..56f5440cf1dc
--- /dev/null
+++ b/dev-scheme/stklos/files/stklos-1.10-gentoo.patch
@@ -0,0 +1,40 @@
+--- a/doc/Makefile.am
++++ b/doc/Makefile.am
+@@ -4,7 +4,6 @@
+ #    Creation date: 11-Apr-2000 10:30 (eg)
+ # Last file update: 23-Oct-2010 11:52 (eg)
+ 
+-mandir	      = $(prefix)/share/man
+ man_MANS      = stklos.1 stklos-config.1 stklos-compile.1 stklos-genlex.1 \
+ 	        stklos-pkg.1
+ EXTRA_DIST    = $(man_MANS)
+@@ -16,15 +16,13 @@
+ schemedir   = $(prefix)/share/@PACKAGE@/@VERSION@
+ scheme_DATA = DOCDB
+ 
+-doclocation = $(prefix)/share/doc/@PACKAGE@-@VERSION@
+-
+-docpdfdir   = $(doclocation)/pdf
++docpdfdir   = $(pdfdir)
+ docpdf_DATA = pdf/stklos-ref.pdf
+ 
+-dochtmldir  = $(doclocation)/html
++dochtmldir  = $(htmldir)
+ dochtml_DATA= $(wildcard html/stklos-ref*.html) $(wildcard html/*.css)
+ 
+-docimgdir   = $(doclocation)/html/images
++docimgdir   = $(htmldir)/images
+ docimg_DATA = $(wildcard html/images/*)
+ 
+ 
+--- a/pkgman/Makefile.am
++++ b/pkgman/Makefile.am
+@@ -4,7 +4,7 @@
+ # Last file update:  4-Dec-2011 16:48 (eg)
+ 
+ 
+-makefiledir=  $(prefix)/etc/stklos
++makefiledir=  $(prefix)/share/@PACKAGE@/@VERSION@/etc
+ makefile_DATA= etc/Makefile-scmpkg.tmpl
+ 
+ bin_SCRIPTS = stklos-pkg

diff --git a/dev-scheme/stklos/stklos-1.10-r2.ebuild b/dev-scheme/stklos/stklos-1.10-r2.ebuild
index 6fd3a1acef34..72aa6c496083 100644
--- a/dev-scheme/stklos/stklos-1.10-r2.ebuild
+++ b/dev-scheme/stklos/stklos-1.10-r2.ebuild
@@ -3,6 +3,8 @@
 
 EAPI="8"
 
+inherit autotools
+
 DESCRIPTION="fast and light Scheme implementation"
 HOMEPAGE="https://www.stklos.net/"
 SRC_URI="https://www.${PN}.net/download/${P}.tar.gz"
@@ -18,12 +20,14 @@ RDEPEND="dev-libs/boehm-gc[threads?]
 	dev-libs/libpcre"
 DEPEND="${RDEPEND}"
 
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
 DOCS=( AUTHORS ChangeLog NEWS PACKAGES-USED PORTING-NOTES README SUPPORTED-SRFIS )
 
 src_prepare() {
 	rm -rf {ffi,gc,gmp,pcre}
 
 	default
+	eautoreconf
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/
@ 2021-11-29 13:25 Akinori Hattori
  0 siblings, 0 replies; 6+ messages in thread
From: Akinori Hattori @ 2021-11-29 13:25 UTC (permalink / raw
  To: gentoo-commits

commit:     82e7fd5a9995d2748ccd54ff0b5c3624a66c2c5d
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 29 13:24:42 2021 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Mon Nov 29 13:24:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82e7fd5a

dev-scheme/stklos: respect LDFLAGS

Closes: https://bugs.gentoo.org/827754
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-scheme/stklos/files/stklos-1.70-gentoo.patch | 10 ++++++++++
 dev-scheme/stklos/stklos-1.70.ebuild             |  3 ++-
 2 files changed, 12 insertions(+), 1 deletion(-)

diff --git a/dev-scheme/stklos/files/stklos-1.70-gentoo.patch b/dev-scheme/stklos/files/stklos-1.70-gentoo.patch
index 954b15a617b2..c9baba3bf268 100644
--- a/dev-scheme/stklos/files/stklos-1.70-gentoo.patch
+++ b/dev-scheme/stklos/files/stklos-1.70-gentoo.patch
@@ -54,3 +54,13 @@
  	mv $(DESTDIR)/$(bindir)/stklos $(DESTDIR)/$(bindir)/stklos-@VERSION@
  	ln -s stklos-@VERSION@ $(DESTDIR)/$(bindir)/stklos
  
+--- a/utils/shlib-options
++++ b/utils/shlib-options
+@@ -173,6 +173,6 @@
+ 
+ echo "os=\"$os\"; version=\"$version\"; machine=\"$machine\"; OS=\"$OS\"; \
+ OS_FLAVOUR=\"$OS_FLAVOUR\";SH_COMP_FLAGS=\"$SH_COMP_FLAGS\"; \
+-SH_LOAD_FLAGS=\"$SH_LOAD_FLAGS\"; \
++SH_LOAD_FLAGS=\"$LDFLAGS $SH_LOAD_FLAGS\"; \
+ SH_LOADER=\"$SH_LOADER\"; SH_SUFFIX=\"$SH_SUFFIX\"; \
+ SH_LIB_SUFFIX=\"$SH_LIB_SUFFIX\"; SH_MAIN_LOAD_FLAGS=\"$SH_MAIN_LOAD_FLAGS\""

diff --git a/dev-scheme/stklos/stklos-1.70.ebuild b/dev-scheme/stklos/stklos-1.70.ebuild
index b3cc1f2b0cc6..74b2eb58dcf5 100644
--- a/dev-scheme/stklos/stklos-1.70.ebuild
+++ b/dev-scheme/stklos/stklos-1.70.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="8"
 
-inherit autotools
+inherit autotools toolchain-funcs
 
 DESCRIPTION="fast and light Scheme implementation"
 HOMEPAGE="https://www.stklos.net/"
@@ -28,6 +28,7 @@ src_prepare() {
 
 	default
 	eautoreconf
+	export LD="$(tc-getCC)"
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/
@ 2022-11-17 21:00 Sam James
  0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2022-11-17 21:00 UTC (permalink / raw
  To: gentoo-commits

commit:     e5bc664a82ec2d232b2ed28c49ece09ffa91ba6f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 17 20:36:53 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Nov 17 20:37:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5bc664a

dev-scheme/stklos: fix configure w/ clang 16

Closes: https://bugs.gentoo.org/881693
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../stklos/files/stklos-1.70-configure-clang16.patch      | 15 +++++++++++++++
 .../stklos/{stklos-1.70.ebuild => stklos-1.70-r1.ebuild}  | 14 ++++++++++----
 2 files changed, 25 insertions(+), 4 deletions(-)

diff --git a/dev-scheme/stklos/files/stklos-1.70-configure-clang16.patch b/dev-scheme/stklos/files/stklos-1.70-configure-clang16.patch
new file mode 100644
index 000000000000..51fa0842c032
--- /dev/null
+++ b/dev-scheme/stklos/files/stklos-1.70-configure-clang16.patch
@@ -0,0 +1,15 @@
+https://bugs.gentoo.org/881693
+--- a/configure.ac
++++ b/configure.ac
+@@ -446,8 +446,9 @@ fi
+ ###
+ ### See in what direction the stack grows (code stolen from Sawfish)
+ ###
+-AC_RUN_IFELSE([AC_LANG_SOURCE([[ void inner (char *foo) { char bar; exit (!(foo >= &bar)); }
+-             void main () { char foo; inner (&foo); } ]])],[STACK_DIRECTION="DOWN"],[STACK_DIRECTION="UP"],[echo "Stack direction is not detected when cross compiling for now"])
++AC_RUN_IFELSE([AC_LANG_SOURCE([[#include <stdlib.h>
++             void inner (char *foo) { char bar; exit (!(foo >= &bar)); }
++             int main (void) { char foo; inner (&foo); } ]])],[STACK_DIRECTION="DOWN"],[STACK_DIRECTION="UP"],[echo "Stack direction is not detected when cross compiling for now"])
+ 
+ 
+ 

diff --git a/dev-scheme/stklos/stklos-1.70.ebuild b/dev-scheme/stklos/stklos-1.70-r1.ebuild
similarity index 86%
rename from dev-scheme/stklos/stklos-1.70.ebuild
rename to dev-scheme/stklos/stklos-1.70-r1.ebuild
index d138654b1211..af8d4da1cbde 100644
--- a/dev-scheme/stklos/stklos-1.70.ebuild
+++ b/dev-scheme/stklos/stklos-1.70-r1.ebuild
@@ -5,7 +5,7 @@ EAPI="8"
 
 inherit autotools toolchain-funcs
 
-DESCRIPTION="fast and light Scheme implementation"
+DESCRIPTION="Fast and light Scheme implementation"
 HOMEPAGE="https://www.stklos.net/"
 SRC_URI="https://www.${PN}.net/download/${P}.tar.gz"
 
@@ -20,18 +20,24 @@ RDEPEND="dev-libs/boehm-gc[threads?]
 	dev-libs/libpcre"
 DEPEND="${RDEPEND}"
 
-PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
 DOCS=( AUTHORS ChangeLog {HACKING,NEWS}.md PACKAGES-USED {PORTING-NOTES,README}.md SUPPORTED-SRFIS )
 
+PATCHES=(
+	"${FILESDIR}"/${P}-gentoo.patch
+	"${FILESDIR}"/${P}-configure-clang16.patch
+)
+
 src_prepare() {
+	default
+
 	use threads || rm -f tests/srfis/216.stk
 
-	default
 	eautoreconf
-	export LD="$(tc-getCC)"
 }
 
 src_configure() {
+	export LD="$(tc-getCC)"
+
 	econf \
 		--enable-threads=$(usex threads pthreads none) \
 		--without-gmp-light \


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/
@ 2023-09-27 13:42 Akinori Hattori
  0 siblings, 0 replies; 6+ messages in thread
From: Akinori Hattori @ 2023-09-27 13:42 UTC (permalink / raw
  To: gentoo-commits

commit:     69ee0e0e5b6b36e9a826fa1bc866178719eeb33d
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 27 13:41:09 2023 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Sep 27 13:42:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69ee0e0e

dev-scheme/stklos: new upstream release

Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-scheme/stklos/Manifest                       |   1 +
 dev-scheme/stklos/files/stklos-2.00-gentoo.patch | 153 +++++++++++++++++++++++
 dev-scheme/stklos/stklos-2.00.ebuild             |  58 +++++++++
 3 files changed, 212 insertions(+)

diff --git a/dev-scheme/stklos/Manifest b/dev-scheme/stklos/Manifest
index d2bff207e1e5..c9c0d75a26cd 100644
--- a/dev-scheme/stklos/Manifest
+++ b/dev-scheme/stklos/Manifest
@@ -1 +1,2 @@
 DIST stklos-1.70.tar.gz 8767615 BLAKE2B 7cae5b5d0c9b2d9dcccc47e78e70a562f2d1751de068668777441d29ee15be7f3c5c285b8297e367311cd8c9695c9a2d083ad7ea1d9c21c838cf1d819f7cb82c SHA512 64da09171b191688f750f10c29f10cd7393f326555d4324344faeac63547a2548407490e44a50f0afa348487bd9cc5106f3c344cab6935f3a3516b3c064a596f
+DIST stklos-2.00.tar.gz 9661074 BLAKE2B c43918f182e8502d5ea4dd0a2d42ea4e788a573ca1184d4e3af792f3932b7a626280110c30bffa9771d73ed7fdc2a29db19bcd7ce8d5a219c1c0b9ef19195c6d SHA512 b98ad62713cb5e85d26378e73e2198d44676a0103c8e8444490cc555defc5b058652c514bdf3a27b0cc34c71b0b72d9f5fc440f260f6aa68064c5adda6571d5f

diff --git a/dev-scheme/stklos/files/stklos-2.00-gentoo.patch b/dev-scheme/stklos/files/stklos-2.00-gentoo.patch
new file mode 100644
index 000000000000..83c33b8f0b2a
--- /dev/null
+++ b/dev-scheme/stklos/files/stklos-2.00-gentoo.patch
@@ -0,0 +1,153 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -143,28 +143,10 @@
+    htmldir="${docdir}/html"
+ fi
+ 
+-# Manage standard options --libdir and --datadir
+-# If the user doesn't specify these option, we fix
+-#   libdir to ${prefix}/lib/
+-#   datadir to ${prefix}/share
+-# Otherwise, we take the user provided values.
+-#
+-# In any case, we will place our files in the stklos/${VERSION} subdir
+-
+-if test "$LIBDIR" == ""  ; then
+-   # user has not given a "--libdir" option. Use ${prefix}/lib/stklos/${VERSION}
+-   libdir="${prefix}/lib/${PACKAGE_TARNAME}/${VERSION}"
+-fi
+-
+-if test "$DATADIR" == ""  ; then
+-   # user has not given a "--datadir" option. Use ${prefix}/share/stklos/${VERSION}
+-   datadir="${prefix}/share/${PACKAGE_TARNAME}/${VERSION}"
+-fi
+-
+ ### Initialize the extra conf file in src
+ PREFIX=$prefix
+-SCMDIR=$datadir
+-EXECDIR=$libdir
++SCMDIR="${datadir}/${PACKAGE_TARNAME}/${VERSION}"
++EXECDIR="${libdir}/${PACKAGE_TARNAME}/${VERSION}"
+ 
+ 
+ ### Determine the kind of the machine which is running this script
+--- a/lib/Lalr.d/Makefile.am
++++ b/lib/Lalr.d/Makefile.am
+@@ -33,8 +33,8 @@
+ all: lalr.ostk calc
+ 
+ install-sources: install
+-	mkdir -p $(schemedir)
+-	cp lalr.stk $(DESTDIR)/$(schemedir)
++	mkdir -p $(DESTDIR)$(schemedir)
++	cp lalr.stk $(DESTDIR)$(schemedir)
+ 
+ uninstall-hook:
+ 	rm  -f $(DESTDIR)/$(schemedir)/lalr.stk
+--- a/lib/Makefile.am
++++ b/lib/Makefile.am
+@@ -174,7 +174,7 @@
+ 	@for i in $(SUBDIRS) ;do \
+ 	   (cd $$i; $(MAKE) install-sources)\
+ 	done
+-	cp $(SRC_STK) $(scheme_BOOT) $(DESTDIR)/$(schemedir)
++	cp $(SRC_STK) $(scheme_BOOT) $(DESTDIR)$(schemedir)
+ 
+ 
+ # Explicit some dependencies here
+--- a/lib/SILex.d/Makefile.am
++++ b/lib/SILex.d/Makefile.am
+@@ -25,8 +25,8 @@
+ SRC= silex.scm multilex.scm
+ 
+ install-sources:
+-	mkdir -p  $(DESTDIR)/$(schemedir)
+-	cp $(SRC) $(DESTDIR)/$(schemedir)
++	mkdir -p  $(DESTDIR)$(schemedir)
++	cp $(SRC) $(DESTDIR)$(schemedir)
+ 
+ 
+ uninstall-hook:
+--- a/lib/scheme/Makefile.am
++++ b/lib/scheme/Makefile.am
+@@ -189,7 +189,7 @@
+ 	@for i in $(SUBDIRS) ;do \
+ 	   (cd $$i; $(MAKE) install-sources)\
+ 	done
+-	cp $(scheme_sources) $(schemedir)
++	cp $(scheme_sources) $(DESTDIR)$(schemedir)
+ 
+ clean:
+ 	(cd vector; $(MAKE) clean)
+--- a/lib/scheme/vector/Makefile.am
++++ b/lib/scheme/vector/Makefile.am
+@@ -130,8 +130,8 @@
+ #======================================================================
+ 
+ install-sources:
+-	mkdir -p $(srfidir)
+-	cp $(srfi_sources) $(srfi_interm) $(srfidir)
++	mkdir -p $(DESTDIR)$(srfidir)
++	cp $(srfi_sources) $(srfi_interm) $(DESTDIR)$(srfidir)
+ 
+ # we also clean the TAG.stk files -- $(srfi-interm) --, which are NOT
+ # srfi_OBJS (should not be installed with other objects):
+--- a/lib/srfi/160/Makefile.am
++++ b/lib/srfi/160/Makefile.am
+@@ -140,8 +140,8 @@
+ #======================================================================
+ 
+ install-sources:
+-	mkdir -p $(srfidir)
+-	cp $(srfi_sources) $(srfidir)
++	mkdir -p $(DESTDIR)$(srfidir)
++	cp $(srfi_sources) $(DESTDIR)$(srfidir)
+ 
+ clean:
+ 	rm -f $(srfi_OBJS) *-incl.c *~
+--- a/lib/srfi/Makefile.am
++++ b/lib/srfi/Makefile.am
+@@ -383,7 +383,7 @@
+ 	@for i in $(SUBDIRS) ;do \
+ 	   (cd $$i; $(MAKE) install-sources)\
+ 	done
+-	cp $(srfi_sources) $(srfidir)
++	cp $(srfi_sources) $(DESTDIR)$(srfidir)
+ 
+ clean:
+ 	rm -f $(srfi_OBJS) *-incl.c *~
+--- a/lib/stklos/Makefile.am
++++ b/lib/stklos/Makefile.am
+@@ -75,7 +75,7 @@
+ 
+ # ======================================================================
+ install-sources:
+-	cp $(scheme_sources) $(schemedir)
++	cp $(scheme_sources) $(DESTDIR)$(schemedir)
+ 
+ clean:
+ 	rm -f $(ALL_OBJS) *-incl.c  *~
+--- a/lib/streams/Makefile.am
++++ b/lib/streams/Makefile.am
+@@ -75,7 +75,7 @@
+ 
+ # ======================================================================
+ install-sources:
+-	install $(scheme_sources) $(schemedir)
++	install $(scheme_sources) $(DESTDIR)$(schemedir)
+ 
+ clean:
+ 	rm -f $(ALL_OBJS) *-incl.c  *~
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -110,8 +110,8 @@
+ 
+ 
+ install-exec-hook:
+-	mv $(bindir)/stklos $(bindir)/stklos-@VERSION@
+-	ln -s stklos-@VERSION@ $(bindir)/stklos
++	mv $(DESTDIR)$(bindir)/stklos $(DESTDIR)$(bindir)/stklos-@VERSION@
++	ln -s stklos-@VERSION@ $(DESTDIR)$(bindir)/stklos
+ 
+ 
+ doc:  $(DOCDB)

diff --git a/dev-scheme/stklos/stklos-2.00.ebuild b/dev-scheme/stklos/stklos-2.00.ebuild
new file mode 100644
index 000000000000..fad97e515254
--- /dev/null
+++ b/dev-scheme/stklos/stklos-2.00.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="Fast and light Scheme implementation"
+HOMEPAGE="https://stklos.net/"
+SRC_URI="https://${PN}.net/download/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="threads"
+
+RDEPEND="dev-libs/boehm-gc[threads?]
+	dev-libs/gmp:=
+	dev-libs/libffi:=
+	dev-libs/libpcre2:="
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+DOCS=( AUTHORS ChangeLog NEWS.md PACKAGES-USED {PORTING-NOTES,README}.md SUPPORTED-SRFIS )
+
+src_prepare() {
+	default
+
+	if ! use threads; then
+		sed -i '/threads.adoc/d' doc/refman/${PN}.adoc
+		rm -f tests/srfis/2{16,30}.stk
+	fi
+	eautoreconf
+	export LD="$(tc-getCC)"
+	export STKLOS_CONFDIR="${T}"/.config/${PN}
+}
+
+src_configure() {
+	econf \
+		--enable-threads=$(usex threads pthreads none) \
+		--without-provided-bignum \
+		--without-provided-ffi \
+		--without-provided-gc \
+		--without-provided-regexp
+}
+
+src_compile() {
+	emake
+}
+
+src_test() {
+	emake -j1 check
+}
+
+src_install() {
+	default
+	einstalldocs
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/
@ 2024-01-17 11:57 Akinori Hattori
  0 siblings, 0 replies; 6+ messages in thread
From: Akinori Hattori @ 2024-01-17 11:57 UTC (permalink / raw
  To: gentoo-commits

commit:     ad4408b7e41fd10ef76f08481287e5438ae5389c
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 17 11:56:15 2024 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Jan 17 11:56:15 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad4408b7

dev-scheme/stklos: respect LDFLAGS

Closes: https://bugs.gentoo.org/920928
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-scheme/stklos/files/stklos-2.00-ldflags.patch | 15 ++++++
 dev-scheme/stklos/stklos-2.00-r1.ebuild           | 61 +++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/dev-scheme/stklos/files/stklos-2.00-ldflags.patch b/dev-scheme/stklos/files/stklos-2.00-ldflags.patch
new file mode 100644
index 000000000000..9e695718e6b0
--- /dev/null
+++ b/dev-scheme/stklos/files/stklos-2.00-ldflags.patch
@@ -0,0 +1,15 @@
+--- a/lib/Makefile.am
++++ b/lib/Makefile.am
+@@ -195,12 +195,6 @@
+ lib/streams: lib
+ lib/srfi: lib/scheme lib/stklos lib/streams
+ 
+-readline-complete.@SH_SUFFIX@: readline-complete.c
+-	@CC@ @CFLAGS@ @STKCFLAGS@ @SH_COMP_FLAGS@ -I../src @GCINC@ \
+-	-c -o $*.o $*.c
+-	@SH_LOADER@ @SH_LOAD_FLAGS@ -o $*.@SH_SUFFIX@ $*.o @DLLIBS@ @RDLINE@
+-	/bin/rm -f $*.o
+-
+ #
+ # SRFIs support
+ #

diff --git a/dev-scheme/stklos/stklos-2.00-r1.ebuild b/dev-scheme/stklos/stklos-2.00-r1.ebuild
new file mode 100644
index 000000000000..99bdac6e81f2
--- /dev/null
+++ b/dev-scheme/stklos/stklos-2.00-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="Fast and light Scheme implementation"
+HOMEPAGE="https://stklos.net/"
+SRC_URI="https://${PN}.net/download/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="threads"
+
+RDEPEND="dev-libs/boehm-gc[threads?]
+	dev-libs/gmp:=
+	dev-libs/libffi:=
+	dev-libs/libpcre2:="
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-gentoo.patch
+	"${FILESDIR}"/${P}-ldflags.patch
+)
+DOCS=( AUTHORS ChangeLog NEWS.md PACKAGES-USED {PORTING-NOTES,README}.md SUPPORTED-SRFIS )
+
+src_prepare() {
+	default
+
+	if ! use threads; then
+		sed -i '/threads.adoc/d' doc/refman/${PN}.adoc
+		rm -f tests/srfis/2{16,30}.stk
+	fi
+	eautoreconf
+	export LD="$(tc-getCC)"
+	export STKLOS_CONFDIR="${T}"/.config/${PN}
+}
+
+src_configure() {
+	econf \
+		--enable-threads=$(usex threads pthreads none) \
+		--without-provided-bignum \
+		--without-provided-ffi \
+		--without-provided-gc \
+		--without-provided-regexp
+}
+
+src_compile() {
+	emake
+}
+
+src_test() {
+	emake -j1 check
+}
+
+src_install() {
+	default
+	einstalldocs
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/
@ 2024-05-19  8:50 Akinori Hattori
  0 siblings, 0 replies; 6+ messages in thread
From: Akinori Hattori @ 2024-05-19  8:50 UTC (permalink / raw
  To: gentoo-commits

commit:     0ca5020ae370c9f1dc370595ed9b093e5d2f5e8b
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Sun May 19 08:49:20 2024 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Sun May 19 08:49:20 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ca5020a

dev-scheme/stklos: fix build with USE=-threads

Closes: https://bugs.gentoo.org/931103
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-scheme/stklos/files/stklos-2.00-threads.patch | 22 ++++++++++++++++++++++
 dev-scheme/stklos/stklos-2.00-r1.ebuild           |  1 +
 2 files changed, 23 insertions(+)

diff --git a/dev-scheme/stklos/files/stklos-2.00-threads.patch b/dev-scheme/stklos/files/stklos-2.00-threads.patch
new file mode 100644
index 000000000000..0a32bc5de7d8
--- /dev/null
+++ b/dev-scheme/stklos/files/stklos-2.00-threads.patch
@@ -0,0 +1,22 @@
+--- a/src/stklos.h
++++ b/src/stklos.h
+@@ -46,15 +46,15 @@
+ #include <memory.h>
+ #include <locale.h>
+ #include <stdint.h>
+-#ifndef THEADS_NONE
++
++#include "stklosconf.h"
++#include "extraconf.h"
++#ifndef THREADS_NONE
+ #  include <pthread.h>
+ #  define GC_THREADS 1
+ #  define _REENTRANT 1
+ #endif
+ 
+-#include "stklosconf.h"
+-#include "extraconf.h"
+-
+ /* To debug the GC uncomment the following line */
+ /* #define GC_DEBUG 1 */
+ 

diff --git a/dev-scheme/stklos/stklos-2.00-r1.ebuild b/dev-scheme/stklos/stklos-2.00-r1.ebuild
index 9e29a396bca6..a7f5f7d4abfd 100644
--- a/dev-scheme/stklos/stklos-2.00-r1.ebuild
+++ b/dev-scheme/stklos/stklos-2.00-r1.ebuild
@@ -23,6 +23,7 @@ DEPEND="${RDEPEND}"
 PATCHES=(
 	"${FILESDIR}"/${P}-gentoo.patch
 	"${FILESDIR}"/${P}-ldflags.patch
+	"${FILESDIR}"/${P}-threads.patch
 )
 DOCS=( AUTHORS ChangeLog NEWS.md PACKAGES-USED {PORTING-NOTES,README}.md SUPPORTED-SRFIS )
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2024-05-19  8:50 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-09-27 13:42 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/stklos/, dev-scheme/stklos/files/ Akinori Hattori
  -- strict thread matches above, loose matches on Subject: below --
2024-05-19  8:50 Akinori Hattori
2024-01-17 11:57 Akinori Hattori
2022-11-17 21:00 Sam James
2021-11-29 13:25 Akinori Hattori
2021-11-27  6:39 Akinori Hattori

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox